#include <cstdio>
#include <pw/core/color.hpp>

#include <pw/core/debug.hpp>
#include <pw/core/serialize.hpp>

auto main() -> int {

    pw::debug::d() << "pixwerx.color.test\n";

    auto col = pw::color::from_rgb8888(255,0,0,255);
    pw::debug::d() << "col -> \n" << pw::serialize::to_string(col);

    auto col_hx = pw::color::from_rgb8888(0xFF'EE'BB'AA);
    pw::debug::d() << "col_hx(0xFFAABBAA) -> \n" << pw::serialize::to_string(col_hx);



    return 0;
}
